Bug 1336013 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by SIGSEGV [NEEDINFO]
Summary: [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22067155ba4ed0674c3f574085f...
: 1348687 1349236 1349985 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 20:22 UTC by Paulim_hed
Modified: 2018-01-25 02:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:30:34 UTC
Type: ---
rhughes: needinfo? (paulim.hardware)


Attachments (Terms of Use)
File: backtrace (34.61 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: cgroup (242 bytes, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: core_backtrace (2.92 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: dso_list (16.88 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: environ (1.47 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: exploitable (127 bytes, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: maps (80.47 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: mountinfo (3.68 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: open_fds (3.29 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details
File: var_log_messages (24.09 KB, text/plain)
2016-05-13 20:23 UTC, Paulim_hed
no flags Details

Description Paulim_hed 2016-05-13 20:22:58 UTC
Version-Release number of selected component:
gnome-software-3.20.2-2.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     1956
kernel:         4.5.4-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1850
 #1 get_sources_cb at gs-sources-dialog.c:172
 #2 g_task_return_now at gtask.c:1107
 #3 complete_in_idle_cb at gtask.c:1121
 #7 g_main_context_iteration at gmain.c:3901
 #8 g_application_run at gapplication.c:2381

Potential duplicate: bug 1149117

Comment 1 Paulim_hed 2016-05-13 20:23:04 UTC
Created attachment 1157248 [details]
File: backtrace

Comment 2 Paulim_hed 2016-05-13 20:23:06 UTC
Created attachment 1157249 [details]
File: cgroup

Comment 3 Paulim_hed 2016-05-13 20:23:07 UTC
Created attachment 1157250 [details]
File: core_backtrace

Comment 4 Paulim_hed 2016-05-13 20:23:09 UTC
Created attachment 1157251 [details]
File: dso_list

Comment 5 Paulim_hed 2016-05-13 20:23:11 UTC
Created attachment 1157252 [details]
File: environ

Comment 6 Paulim_hed 2016-05-13 20:23:12 UTC
Created attachment 1157253 [details]
File: exploitable

Comment 7 Paulim_hed 2016-05-13 20:23:14 UTC
Created attachment 1157254 [details]
File: limits

Comment 8 Paulim_hed 2016-05-13 20:23:17 UTC
Created attachment 1157255 [details]
File: maps

Comment 9 Paulim_hed 2016-05-13 20:23:19 UTC
Created attachment 1157256 [details]
File: mountinfo

Comment 10 Paulim_hed 2016-05-13 20:23:20 UTC
Created attachment 1157257 [details]
File: namespaces

Comment 11 Paulim_hed 2016-05-13 20:23:22 UTC
Created attachment 1157258 [details]
File: open_fds

Comment 12 Paulim_hed 2016-05-13 20:23:27 UTC
Created attachment 1157259 [details]
File: proc_pid_status

Comment 13 Paulim_hed 2016-05-13 20:23:29 UTC
Created attachment 1157260 [details]
File: var_log_messages

Comment 14 Richard Hughes 2016-05-25 13:59:44 UTC
I've not seen this before. Can you describe exactly how to reproduce it please, thanks.

Comment 15 Paulim_hed 2016-06-21 18:56:06 UTC
*** Bug 1348687 has been marked as a duplicate of this bug. ***

Comment 16 Paulim_hed 2016-06-23 03:17:19 UTC
*** Bug 1349236 has been marked as a duplicate of this bug. ***

Comment 17 Eugene.Dolgoff 2016-06-24 18:06:58 UTC
*** Bug 1349985 has been marked as a duplicate of this bug. ***

Comment 18 Sarah 2016-09-13 01:10:14 UTC
Similar problem has been detected:

i do not know how this

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     11918
kernel:         4.5.5-300.fc24.x86_64
package:        gnome-software-3.20.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Joachim Frieben 2017-01-06 13:46:57 UTC
Issue is still present for current Fedora 24 including gnome-software-3.22.4-2.fc24.

Comment 20 Fedora End Of Life 2017-07-25 20:45:28 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-08-08 14:30:34 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.